/*
 * This file is part of jdbw (http://code.google.com/p/jdbw/).
 * 
 * jdbw is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Copyright (C) 2007-2012 mabe02
 */
package com.googlecode.jdbw.server.postgresql;

import com.googlecode.jdbw.JDBCDriverDescriptor;

/**
 * JDBC driver descriptor designed to work with the official PostgreSQL JDBC
 * client driver, {@code org.postgresql.Driver}
 * @author mabe02
 */
public class PostgresqlJDBCDriverDescriptor implements JDBCDriverDescriptor {

    @Override
    public String formatJDBCUrl(String host, int port, String defaultCatalog) {
        return "jdbc:postgresql://" + host + ":" + port + "/" + defaultCatalog;
    }

    @Override
    public String getDriverClassName() {
        return "org.postgresql.Driver";
    }
}
